Update Draft Invoice
PUT /invoices/{id}
Update an existing invoice. Requires the invoice:create scope. Only invoices in draft state can be updated. Accepts the same payload as Create Invoice. Optionally set calculate_totals.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The UUID of the draft invoice to update.
Request Body required
Section titled “Request Body required ”object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Multiple payments
object
object
object
object
Legacy single payment (backwards compatible)
object
object
object
object
object
object
object
object
Sum of line totals (in cents)
Before tax
After tax
object
Price in cents
object
Item identifiers
object
object
Item classification
object
Item attributes
object
Line allowances
object
Line charges
object
object
object
object
object
Base64 encoded
Responses
Section titled “ Responses ”Invoice updated successfully.
object
object
Unique invoice identifier (UUID).
UUID of the company that owns this invoice.
UUID of the user who created the invoice, if applicable.
Current workflow state: draft, approved, sending, sent, delivered, failed, or cancelled.
Invoice direction: outgoing (sent by company) or incoming (received).
Invoice total amount in cents.
ISO 4217 currency code (e.g. EUR, USD).
UBL specification version used. Peppol BIS 3.0 binds to UBL 2.1.
Full invoice data in structured UBL JSON format (header, seller, buyer, items, totals, etc.).
Additional metadata such as delivery details, error info, or processing history.
Delivery network used: peppol, ksef, or email.
UUID of the business entity (seller identity) used for this invoice.
ISO 8601 timestamp when the invoice was created.
ISO 8601 timestamp when the invoice was last updated.
ISO 8601 timestamp when the invoice was soft-deleted, or null.
Invoice not found or does not belong to your company.
object
Invoice is not in draft state, validation error, or API key not associated with a company.
Server error during invoice update.